Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Gateway Logs

Returns recent log output from the gateway. Use last_n_lines or last_n_seconds to scope the result.

GET/gateway/{gateway_id}/logs/

Path parameters

  • gateway_idPathintegerrequired

    Gateway ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • locationQuerystringrequired

    Location

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • last_n_linesQueryintegeroptional

    Number of most recent log lines to return.

  • last_n_secondsQueryintegeroptional

    Return logs from the last N seconds.

Responses

200Gateway log output.
object
statusinteger
example200
dataobject
errorsobject
logstring
exampleSuccess
successboolean
exampletrue